So wird aus der Excel-Liste eine VCF-Datei
Die meisten Kontaktlisten entstehen in Excel: eine Mitgliederliste des Vereins, die Kundendatei aus dem alten Warenwirtschaftsprogramm, die Telefonliste der Kita-Gruppe. Ein Smartphone kann mit einer Tabelle aber nichts anfangen. Das iPhone importiert überhaupt keine CSV-Dateien, Android nur über Umwege. Beide verstehen dagegen das Format vCard mit der Dateiendung .vcf, und zwar auch dann, wenn in einer Datei Hunderte Kontakte hintereinander stehen. Genau so eine Datei erzeugt dieses Werkzeug.
Der Ablauf hat drei Schritte. Sie laden die Liste als CSV oder direkt als Excel-Datei im Format .xlsx, oder
Sie kopieren den Tabellenbereich in Excel und fügen ihn in das Textfeld ein. Das Werkzeug liest die erste Zeile
als Spaltennamen und schlägt für jede Spalte ein Kontaktfeld vor. Sie prüfen die Vorschläge, ändern, was nicht
passt, und laden die Datei kontakte.vcf herunter. Leere Zeilen werden übersprungen, Zeilen ohne
Namen bekommen als Anzeigename die Firma, die E-Mail-Adresse oder die Telefonnummer.
Welche Spalten das Werkzeug von selbst erkennt
Die Erkennung kennt drei Herkünfte. Erstens den deutschen Outlook-Export mit Spalten wie „Vorname“,
„Nachname“, „Mobiltelefon“, „Telefon geschäftlich“, „Straße geschäftlich“, „E-Mail-Adresse“ und „E-Mail 2: Adresse“.
Zweitens den Export aus Google Kontakte mit englischen Spaltennamen wie „First Name“, „Phone 1 - Value“ und
„Address 1 - City“. Dort steht die Art der Nummer in einer Nachbarspalte („Mobile“, „Work“, „Home“), und mehrere
Nummern in einer Zelle sind mit ::: getrennt. Beides wertet das Werkzeug aus. Drittens selbst gebaute
Listen mit Spalten wie „Name“, „Handy“, „Tel.“, „PLZ“, „Ort“ oder „Bemerkung“. Postfach, Adresszusatz
(„Hinterhaus“, „c/o“) und weitere Straßenzeilen wie Outlooks „Straße geschäftlich 2“ gehen nicht verloren:
In vCard 3.0 stehen Postfach und Zusatz in den dafür vorgesehenen Teilen der Adresse, in vCard 4.0 hängen
sie an der Straße, weil RFC 6350 empfiehlt, diese beiden Teile leer zu lassen.
Steht nur eine Spalte „Name“ in der Liste, teilt das Werkzeug sie auf: „Müller, Hans-Jürgen“ wird zu Nachname Müller und Vorname Hans-Jürgen, „Özlem Yılmaz“ zu Vorname Özlem und Nachname Yılmaz. Fehlt die Kopfzeile ganz, rät es nach dem Inhalt: Eine Spalte, in der fast überall ein @ steht, wird E-Mail; Nummern, die mit 015, 016 oder 017 beginnen, werden Mobilnummern. Die Zuordnung bleibt immer ein Vorschlag, den Sie in der Tabelle unter „Spalten zuordnen“ ändern können.
VCF aufs iPhone übertragen
Am einfachsten geht es per Mail an sich selbst. Öffnen Sie den Anhang in der Mail-App auf dem iPhone, zeigt iOS die Kontakte der Datei und bietet an, alle auf einmal hinzuzufügen. Per AirDrop vom Mac funktioniert es genauso. Bei großen Listen ist iCloud der sauberere Weg: Apple beschreibt in der Anleitung „Kontakte auf iCloud.com importieren“, dass Sie unter icloud.com/contacts über das Plus-Zeichen „Kontakt importieren“ wählen; enthält die vCard mehrere Personen, legt iCloud für jede einen eigenen Eintrag an. Dafür brauchen Sie laut Apple ein Tablet oder einen Computer. Die Kontakte landen in „Alle Kontakte“ und erscheinen kurz darauf auf jedem Gerät mit demselben Apple Account.
VCF auf Android und in Google Kontakte importieren
Auf Android-Handys mit der Google-Kontakte-App öffnen Sie den Bereich „Korrigieren und verwalten“ und wählen „Aus Datei importieren“. Die App fragt, in welches Konto die Kontakte sollen. Nehmen Sie das Google-Konto, nicht „Gerät“, dann sind die Kontakte auch nach einem Handywechsel noch da. Samsung-Geräte haben eine eigene Kontakte-App, dort heißt der Weg „Kontakte verwalten“ und dann „Kontakte importieren“. Am Computer geht es über contacts.google.com und den Punkt „Importieren“ am linken Rand. Google Kontakte nimmt dort übrigens auch CSV-Dateien an. Für Android allein brauchen Sie die Umwandlung also nicht unbedingt, wohl aber, wenn die Spaltennamen Ihrer Liste nicht zu Googles Vorlage passen. Die Menünamen in diesem Abschnitt haben wir am 01.10.2026 notiert, aber nicht in einer Anleitung von Google oder Samsung belegt gefunden; je nach App-Version können sie abweichen.
Outlook: wann die CSV der bessere Weg ist
Für Outlook unter Windows beschreibt Microsoft in der Anleitung „Importieren oder Exportieren von Kontakten in Outlook mithilfe einer .csv-Datei“ den Weg über eine CSV-Datei: „Datei“, „Öffnen und exportieren“, „Importieren/Exportieren“ und „Kommagetrennte Werte“. Eine Anleitung für den Import einer VCF-Datei mit vielen Kontakten haben wir bei Microsoft nicht gefunden (Stand 01.10.2026). Wer eine Liste nach Outlook holen will, nimmt deshalb am sichersten die CSV selbst. Die VCF aus diesem Werkzeug hilft dort, wenn Sie einzelne Kontakte weitergeben wollen, etwa als Anhang an eine Mail. Für die eigene Visitenkarte als QR-Code zum Abscannen gibt es den QR-Code für die Visitenkarte.
Führende Null, Umlaute, Datum: die typischen Excel-Fehler
Die häufigste Panne passiert schon in Excel. Wer eine Spalte mit Telefonnummern als Zahl formatiert, verliert die führende Null: Aus 0171 2119261 wird 1712119261, bei langen Nummern sogar 1,71212E+11. Das Werkzeug kann die verlorene Null nicht zurückraten, meldet aber jede Nummer, die ohne 0 oder + beginnt. Abhilfe schafft es, die Spalte in Excel vor dem Eintippen als „Text“ zu formatieren.
Umlaute gehen verloren, wenn das Programm die Zeichenkodierung falsch rät. Excel speichert „CSV (Trennzeichen-getrennt)“ unter Windows in Windows-1252, „CSV UTF-8“ dagegen in UTF-8 mit einer Markierung am Dateianfang. Das Werkzeug liest zuerst streng als UTF-8 und schaltet bei ungültigen Zeichen auf Windows-1252 um; die erkannte Kodierung steht unter dem Upload-Feld. Die VCF-Datei selbst ist immer UTF-8. Die deutsche Excel-Fassung trennt Spalten mit Semikolon, die englische mit Komma; auch das erkennt das Werkzeug selbst.
Geburtstage nimmt das Werkzeug als 12.04.1985, 12.4.85, 1985-04-12 oder als Excel-Datum an. Ein Datum mit
Schrägstrichen wie 04/03/1971 liest es bei deutschen Spaltennamen als Tag/Monat, sonst wie das englische
Outlook als Monat/Tag, und meldet jeden Fall, der beides sein kann. Ohne Jahr („12.04.“) hängt es von der
Version ab: vCard 4.0 kennt Tage ohne Jahr und speichert BDAY:--0412 (RFC 6350, Abschnitt 4.3.1).
vCard 3.0 verlangt ein Datum mit Jahr (RFC 2426 mit RFC 2425, Abschnitt 5.8.4); dort schreibt das Werkzeug
den Tag in die Notiz und weist darauf hin. Das leere Datum „0.0.00“
aus dem Outlook-Export wird ignoriert. Was nicht als Datum erkennbar ist, landet mit dem Vermerk „Geburtstag:“
in der Notiz, damit nichts verloren geht.
vCard 3.0 oder 4.0, und was in der Datei steht
vCard 3.0 ist in RFC 2426 beschrieben und die verbreitetste Fassung; iCloud nimmt laut Apple vCard-Dateien mit mehreren Personen an. vCard 4.0 aus RFC 6350 ist neuer, aber nicht überall gleich gut unterstützt. Nehmen Sie 3.0, wenn Sie keinen bestimmten Grund für 4.0 haben. Eine Karte in der Datei sieht so aus:
BEGIN:VCARD VERSION:3.0 FN:Erika Mustermann N:Mustermann;Erika;;; TEL;TYPE=CELL,VOICE,PREF:+491711234567 EMAIL;TYPE=INTERNET,PREF:erika@example.de BDAY:1964-08-12 END:VCARD
Dazu hält sich das Werkzeug an drei Regeln der Norm, an denen einfache Konverter scheitern. Jede Zeile endet mit CRLF. Zeilen über 75 Byte werden gefaltet, die Fortsetzung beginnt mit einem Leerzeichen, und ein Umlaut wird dabei nie zerteilt. Komma, Semikolon, Backslash und Zeilenumbruch im Inhalt werden mit einem Backslash maskiert, sonst würde „Weiß; Söhne“ im Firmennamen als zwei Felder gelesen. Wer die Rohdaten danach noch als Tabelle braucht, findet Hilfe beim Datei-Konverter.
Ihre Kontakte verlassen den Browser nicht
Eine Kontaktliste enthält personenbezogene Daten anderer Menschen. Viele Online-Konverter laden die Datei dafür auf ihren Server. Hier geschieht das nicht: Datei lesen, Excel entpacken, Spalten zuordnen und die VCF-Datei bauen erledigt Ihr eigener Browser, ohne Bibliothek von fremden Servern. Nachgemessen am 01.10.2026 im Netzwerkprotokoll des Browsers: Beim Einlesen und Umwandeln einer Liste geht keine Anfrage mit Kontaktdaten hinaus. Gezählt wird nur, dass umgewandelt wurde, ohne Inhalt. Wie alle kostenlosen Tools dieser Website lädt die Seite je nach Ihrer Auswahl im Einwilligungsdialog Google Analytics und Google AdSense; Ihre Kontakte erhalten auch diese Dienste nicht. Einzelheiten stehen in der Datenschutzerklärung.